diff -Nur -x '*.orig' -x '*~' netbook-launcher-1.6.22netbook0unr2/src/launcher-config.c netbook-launcher-1.6.22netbook0unr2.new/src/launcher-config.c
--- netbook-launcher-1.6.22netbook0unr2/src/launcher-config.c	2009-04-28 14:22:34.000000000 -0400
+++ netbook-launcher-1.6.22netbook0unr2.new/src/launcher-config.c	2009-04-28 14:38:30.000000000 -0400
@@ -136,6 +136,7 @@
     n_cats = LANDSCAPE_CATS - 1;
   }
 
+  cfg->scrollbar_width = cfg->tablet_mode ? 16 :10;
   cfg->win_width = width - 2* padding;
   cfg->win_height = CSH () - PANEL_HEIGHT - (2*padding);
   cfg->bar_width = cfg->win_width/n_cols;
@@ -147,7 +147,7 @@
   cfg->iconview_height = cfg->win_height-(PANEL_HEIGHT*1.3) - PADDING;
   cfg->iconview_padding = 0;
  
-  cfg->icon_width = (cfg->iconview_width - ((cfg->iconview_cols+1)*cfg->iconview_padding)) / cfg->iconview_cols;
+  cfg->icon_width = (cfg->iconview_width - ((cfg->iconview_cols+1)*cfg->iconview_padding) - cfg->scrollbar_width) / cfg->iconview_cols;
   
   cfg->icon_height = (cfg->iconview_height - ((cfg->iconview_rows+1)*cfg->iconview_padding))/cfg->iconview_rows;
 
diff -Nur -x '*.orig' -x '*~' netbook-launcher-1.6.22netbook0unr2/src/launcher-config.h netbook-launcher-1.6.22netbook0unr2.new/src/launcher-config.h
--- netbook-launcher-1.6.22netbook0unr2/src/launcher-config.h	2009-04-28 14:22:43.000000000 -0400
+++ netbook-launcher-1.6.22netbook0unr2.new/src/launcher-config.h	2009-04-28 14:36:58.000000000 -0400
@@ -58,6 +58,7 @@
   gint          win_height;
   gint          bar_width;
   gint          n_cats;
+  gint          scrollbar_width;
 
   gint          iconview_width;
   gint          iconview_height;
diff -Nur -x '*.orig' -x '*~' netbook-launcher-1.6.22netbook0unr2/src/launcher-iconview.c netbook-launcher-1.6.22netbook0unr2.new/src/launcher-iconview.c
--- netbook-launcher-1.6.22netbook0unr2/src/launcher-iconview.c	2009-04-07 19:12:57.000000000 -0400
+++ netbook-launcher-1.6.22netbook0unr2.new/src/launcher-iconview.c	2009-04-28 14:36:58.000000000 -0400
@@ -214,11 +214,11 @@
 
     clutter_container_add_actor (CLUTTER_CONTAINER (view), scroll);
     clutter_actor_set_size (scroll, view_height*0.97, 
-                            cfg->tablet_mode ? 16 :10);
+                            cfg->scrollbar_width);
     clutter_actor_set_anchor_point_from_gravity (scroll, 
                                                  CLUTTER_GRAVITY_CENTER);
     clutter_actor_set_position (scroll, 
-                                view_width-(cfg->tablet_mode ? 10 : 5 ),
+                                view_width-(cfg->scrollbar_width / 2),
                                 view_height/2);
   
     clutter_actor_set_rotation (scroll, CLUTTER_Z_AXIS, 90, 0, 0, 0);
